# Method: accountstatuses.custombatch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#body.AccountstatusesCustomBatchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#body.aspect)
- [AccountstatusesCustomBatchRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchRequest.SCHEMA_REPRESENTATION)
- [AccountstatusesCustomBatchRequestEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchRequestEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchRequestEntry.SCHEMA_REPRESENTATION)
- [AccountstatusesCustomBatchResponseEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchResponseEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchResponseEntry.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#try-it)

Retrieves multiple Merchant Center account statuses in a single request.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/accountstatuses/batch`

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchResponseEntry`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchResponseEntry`)`` The result of the execution of the batch requests. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#accountstatusesCustomBatchResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AccountstatusesCustomBatchRequest

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchRequestEntry`) } ] } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses/custombatch#AccountstatusesCustomBatchRequestEntry`)`` The request entries to be processed in the batch. |

## AccountstatusesCustomBatchRequestEntry

A batch entry encoding a single non-batch accountstatuses request.

| JSON representation |
|---|
| ``` { "batchId": integer, "merchantId": string, "method": string, "accountId": string, "destinations": [ string ] } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` An entry ID, unique within the batch request. |
| `merchantId` | `string` The ID of the managing account. |
| `method` | `string` The method of the batch entry. Acceptable values are: - "`get`" <br /> |
| `accountId` | `string` The ID of the (sub-)account whose status to get. |
| `destinations[]` | `string` If set, only issues for the specified destinations are returned, otherwise only issues for the Shopping destination. |

## AccountstatusesCustomBatchResponseEntry

A batch entry encoding a single non-batch accountstatuses response.

| JSON representation |
|---|
| ``` { "batchId": integer, "accountStatus": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses#AccountStatus`) }, "errors": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of the request entry this entry responds to. |
| `accountStatus` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accountstatuses#AccountStatus`)`` The requested account status. Defined if and only if the request was successful. |
| `errors` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`)`` A list of errors for failed custombatch entries. > [!NOTE] > **Note:** Schema errors fail the whole request. <br /> |